# Java

**Java on the cluster**

Java is available on the cluster. Activate java by loading the Java module

```bash
    $ module load Java
```

Note that the Java module must be loaded on the compute nodes as well, in order to run java on compute nodes.

Check for java version and path

```bash
    $ java -version
    $ which java
```

With the module loaded, not only the runtime environment (JRE), but also the development environment (JDK) with the compiler is available.

```bash
    $ javac -version
    $ which javac
```

Java applications may use MPI for inter-process communication, in conjunction with Open MPI. Read more on <http://www.open-mpi.org/faq/?category=java>. This functionality is currently not supported on Anselm cluster. In case you require the java interface to MPI, please contact [cluster support](https://support.it4i.cz/rt/).
